Packages - Bug #3514

[nonsystemd/libretools]: fails to create chroot - pacstrap: invalid option -- 'd’
2023-08-04 04:14 PM - SolveFinder

Status: in progress % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

¢ steps to reproduce:
1) # pacman -Sy libretools your-initfreedom
2) $ sudo librechroot -A x86_64 make # before running this make sure that chroot directory if empty (it's
/var/lib/archbuild/default/ by default)

e expected result:
librechroot will be generated in /var/lib/archbuild/default/

e actual result:

==> ERROR: pacstrap: invalid option -- 'd'

I've tried to compile libretools from abslibre/nonsystemd [1] but it failed with:

ronn --roff --manual='libretools Manual' --organization='Parabola' < 'src/lib/messages.sh.3.ronn'
> 'src/lib/messages.sh.3'

EDIT < src/lib/archroot.sh.in > src/lib/archroot.sh

"RubyGems' were not loaded.

The fix is to apply (at least) these patches from abslibre/libre/libretools [2]:

® no-pacstrap-d.patch
¢ disable-ronn.patch

| also have the following question:
What is preferred way of suggesting package fixes/updates/patches?
It seems like a lot of updpkg are ignored in pagure [3] without explanation why they weren't been merged.

[1] https://qit.parabola.nu/abslibre.qit/tree/nonsystemd/libretools
[2] https://qit.parabola.nu/abslibre.qit/tree/libre/libretools
[3] https://pagure.io/abslibre/pull-requests

History

#1 - 2023-08-05 11:48 AM - bill-auger

- Assignee set to bill-auger

- Status changed from unconfirmed to in progress

- Subject changed from [libretools] nonsystemd version fails to create chroot to [nonsystemd/libretools]: fails to create chroot - pacstrap: invalid option
-d'

the reason this has not been fixed is because of the ruby-ronn dependency - IIRC without that, the documentation does not get built - i suggest simply
fixing that pacstrap command in your local copy for now

those PRs on pagure are not ignored or rejected - if they were rejected, the PR would be closed - they simply have not been seen by the package
maintainer yet - i would rather not touch those unless something is broken

#2 - 2024-02-26 04:01 AM - bill-auger

- Status changed from in progress to fixed
https://git.parabola.nu/abslibre.git/tree/nonsystemd/libretools
https://git.parabola.nu/abslibre.git/tree/libre/libretools
https://pagure.io/abslibre/pull-requests

#3 - 2024-02-26 04:19 AM - bill-auger

- Status changed from fixed to in progress

nope - i forgot that nonsystemd/libretools still has this flaw - hopefully, the latest libre/libretools works on nonsystemd systems; and the nonsystemd
package can simply be deleted

Files

libretools.patch 5.95 KB 2023-08-04 SolveFinder
